termux-api: Updated package in termux-camera-photo
authorFredrik Fornwall <fredrik@fornwall.net>
Mon, 27 Jul 2015 07:37:46 +0000 (03:37 -0400)
committerFredrik Fornwall <fredrik@fornwall.net>
Mon, 27 Jul 2015 07:37:46 +0000 (03:37 -0400)
This fixes #2

packages/termux-api/build.sh
packages/termux-api/termux-camera-photo

index 16286d3..abc558f 100644 (file)
@@ -1,6 +1,6 @@
 TERMUX_PKG_HOMEPAGE=http://termux.com/add-ons/api/
 TERMUX_PKG_DESCRIPTION="Termux API commands"
-TERMUX_PKG_VERSION=0.5
+TERMUX_PKG_VERSION=0.6
 
 termux_step_make_install () {
         mkdir -p $TERMUX_PREFIX/bin
index 0b7fd4d..d96e022 100755 (executable)
@@ -2,13 +2,12 @@
 
 set -e -u
 
-SCRIPTNAME=$0
 show_usage () {
-       echo "usage: $SCRIPTNAME [OPTIONS] <output-file>"
+       echo "usage: termux-camera-photo [OPTIONS] <output-file>"
        echo ""
        echo "Take a photo and save it in a file. Valid options:"
-       echo "  -c, --camera <camera-id>    the id of the camera to use"
-       echo "See the termux-camera-info for getting information about available cameras"
+       echo "  -c, --camera <camera-id>    the ID of the camera to use"
+       echo "Use termux-camera-info for information about available camera IDs."
 }
 
 PARAM_CAMERA=""
@@ -29,11 +28,11 @@ touch $1
 FILE=`realpath $1`
 
 # Output is like:
-# Broadcasting: Intent { cmp=com.termux.extras/.SmsLister }
+# Broadcasting: Intent { cmp=com.termux.api/.PhotoActivity }
 # Broadcast completed: result=13, data="http://fornwall.net"
-OUTPUT=`LD_LIBRARY_PATH= am start --user 0 $PARAM_CAMERA $PARAM_SIZE --es file $FILE -n com.termux.extras/.PhotoActivity | grep result=1 | cut -d ' ' -f 4`
+OUTPUT=`am start --user 0 $PARAM_CAMERA $PARAM_SIZE --es file $FILE -n com.termux.api/.PhotoActivity | grep result=1 | cut -d ' ' -f 4`
 
 if [ $? != "0" ]; then
-       echo "ERROR: Failed, see logs"
+       echo "termux-camera-photo failed - see logs by executing 'adb logcat -s termux-api:*'"
        exit 1
 fi